package cn.com.brilliance.doc.utils;

import cn.hutool.core.codec.Base64;
import lombok.extern.slf4j.Slf4j;

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

@Slf4j
public class FileUtil {

    /**
     * @param file 转换文件名
     * @return Byte数组
     * @author weiguanying
     * @date 2023-02-20
     * 将file文件转换成Byte数组
     */
    public static byte[] getBytesByFile(File file) throws IOException {
        FileInputStream fis = null;
        ByteArrayOutputStream bos = new ByteArrayOutputStream(1000);
        try {
            fis = new FileInputStream(file);
            byte[] b = new byte[1000];
            int n;
            while ((n = fis.read(b)) != -1) {
                bos.write(b, 0, n);
            }
            byte[] data = bos.toByteArray();
            return data;
        } catch (Exception e) {
            log.error("将文件转换成Byte数组失败", e);
        } finally {
            if (fis != null) {
                fis.close();
            }
            bos.close();
        }
        return null;
    }

    /**
     * @param file
     * @return 将文件转换为byte[]数组后再转Base64字符串返回
     * @throws IOException
     * @author weiguanying
     * @date 2023-02-20
     */
    public static String previewBean(File file) throws IOException {
        byte[] bytes = getBytesByFile(file);
        String fileBase64 = Base64.encode(bytes);
        return fileBase64;
    }

}